
::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}
 
::-webkit-scrollbar-track {
	box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
}
 
::-webkit-scrollbar-thumb {
	background-color: #cfcfcf;
	outline: 0px solid slategrey;
	border-radius: 1em;
}




.menu-inner::-webkit-scrollbar {
	width: 6px;
	height: 6px;
}
 
.menu-inner::-webkit-scrollbar-track {
	box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
}
 
.menu-inner::-webkit-scrollbar-thumb {
	background-color: #dfdfdf;
	outline: 0px solid slategrey;
	border-radius: 1em;
}




.toastify {
	border-radius: 0rem !important;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 40px!important;
    vertical-align: top;
    min-width: 200px;
    max-width: 300px;
    margin-top: 0px !important;
    margin-bottom: 0px !important;
    font-size: 0.75rem;
    color: #101010;
    color: rgb(var(--color-slate-700-1-1));
	font-family: "Cairo", sans-serif;
	border: 1px solid #f0f0f0 !important;
}

.toastify .toast-close {
    outline: none;
    border: none;
    margin-left: auto !important;
    position: absolute;
    top: 0;
    right: 0;
    margin-top: 0px !important;
    margin-right: 12px !important;
    color: #404040;
    height: 100%;
}
.toastify .toast-close:active,.toastify .toast-close:focus,.toastify .toast-close:visited {
    outline: none;
    border: none;
}
.toastify .toast-close:focus,.toastify .toast-close:hover {
    color: #101010;
}

.toastify-content {
	border-radius: 0rem !important;
	padding: 0.5rem 0.2rem;
	vertical-align: middle;
	font-size: 1.1rem;
}

.toastify-content-body {
	line-height: 1.1rem;
	font-size: 0.9rem;
}

.toastify-content .title {
	font-size: 1rem;
	font-weight: 700 !important;
}

.flex {
	display: flex;
	columns: 3;
}


.notif_icon_1 {
	font-size: 1.6rem !important;
	margin-top: 1rem;
}

.font-weight-500 {
	font-weight: 500;
}

.fs-0-8 {
	font-size: 0.8rem;
}
.fs-0-7 {
    font-size: 0.7rem;
}
.fs-0-6 {
    font-size: 0.6rem;
}
.fs-1-0 {
    font-size: 1.0rem;
}


.fw-400 {
    font-weight: 400 !important;
}

.fw-500 {
    font-weight: 500 !important;
}

.fw-600 {
    font-weight: 600 !important;
}

.fw-700 {
    font-weight: 700 !important;
}

.fw-800 {
    font-weight: 800 !important;
}


.link_normal, .link_normal a, .link_normal:hover, .link_normal a:hover, .link_normal:visited, .link_normal a:visited {
	color: #000;
}

.link_normal2, .link_normal2 a, .link_normal2:hover, .link_normal2 a:hover, .link_normal2:visited, .link_normal2 a:visited {
	color: inherit !important;
}

.text_decoration_none, .text_decoration_none a {
	text-decoration: none !important;
}


.logo_1 {
	max-width: 50px;
}

.logo_1_1 {
	width: 50px;
}

.hidden {
	display: none;
	visibility: hidden;
}
.hidden2 {
	display: none;
	visibility: hidden;
	transition: visibility 0s 0.5s, opacity 0.5s linear;
}


.toast_holder {
	position: fixed;
	top: 0;
	right: 0;
	z-index: 10000000;
	margin-top: 10px;
	margin-right: 10px;
}

.toast_holder .bs-toast {
	margin-bottom: 12px !important;
}


.list_border_1 {
	border-bottom: 1px solid #f0f0f0 !important;
}

.position_relative, .position-relative {
	position: relative !important;
}

.holder_topright {
	position: absolute !important;
	top: 0 !important;
	right: 0 !important;
}
.holder_bottomright {
	position: absolute !important;
	bottom: 0 !important;
	right: 0 !important;
}
.holder_topleft {
	position: absolute !important;
	top: 0 !important;
	left: 0 !important;
}
.holder_bottomleft {
	position: absolute !important;
	bottom: 0 !important;
	left: 0 !important;
}



.modal_title_1 {
	text-transform: uppercase;
	font-size: 0.8rem;
}


.datatable_paging_1 {
	text-align: left !important;
	align-items: flex-start !important;
}

.datatable_paging_1 div.dataTables_wrapper div.dataTables_paginate {
    margin: 0;
    white-space: nowrap;
    text-align: left !important;
}

.datatable_paging_1 div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-start !important;
}

.datatable_paging_1 .dataTables_wrapper div.dataTables_paginate {
    margin: 0;
    white-space: nowrap;
    text-align: left !important;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-start !important;
}


.tbl_avatar_1 {
	border-radius: 50%;
	width: 30px;
	height: 30px;
}

.tbl_col_1 {
	width: 100% !important;
	max-width: 100% !important;
}

.tbl_col_action_1 {
	width: 60px !important;
	max-width: 60px !important;
}

.tbl_col_action_dd_1 {
	display: inline-block !important;
}

.tbl_col_name_1 {
	width: 300px !important;
	max-width: 300px !important;
	overflow: hidden !important;
}

.tbl_col_value_1 {
	width: 100px !important;
	max-width: 100px !important;
	overflow: hidden !important;
}

.tbl_col_status_1 {
	width: 80px !important;
	max-width: 80px !important;
	overflow: hidden !important;
}


.member_points_holder {
	position: absolute;
	top: 0;
	left: 0;
	margin-left: 200px;
	display: inline-block;
	width: 200px;
}

.activity_type_holder {
	position: absolute;
	bottom: 0;
	left: 0;
	margin-left: 200px;
	display: inline-block;
	width: 200px;
}

.cursor_pointer {
	cursor: pointer;
}

.link_color_normal_1 {
	color: #697a8d !important;
}

.activity_member_status_1 {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
}

.flex_1 {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;

}

.inline_block {
	display: inline-block !important;
}

.fs_details_1 {
	font-size: 0.7rem !important;
}

.d_details_1 {
	min-height: 1rem !important;
}

.display_none {
	display: none !important;
}

.btn_mini_1 {
	padding: 4px 12px 4px 12px !important;
	font-size: 0.7rem !important;
}


.grades_tbl_cell_no {
	text-align: center;
	min-width: 50px !important;
	max-width: 50px !important;
	width: 50px !important;
	font-size: 0.75rem;
	padding-left: 0px !important;
	padding-right: 0px !important;
}
.grades_tbl_cell_name {
	text-align: left;
	min-width: 200px !important;
	max-width: 200px !important;
	width: 200px !important;
	padding-left: 4px !important;
	padding-right: 4px !important;
	overflow: hidden !important;
	font-size: 0.8rem;
	white-space: nowrap;
}
.grades_tbl_cell_name__sid {
	position: absolute;
	bottom: 0;
	left: 0;
}
.grades_tbl_cell_points {
	text-align: center;
	font-size: 0.8rem;
}
.grades_tbl_cell_points_total {
	text-align: center;
	font-size: 0.8rem;
}
.grades_tbl_cell_points_total_h {
	text-align: center;
	font-size: 0.8rem;
}

.grades_tbl_cell_no_2 {
	text-align: center;
}
.grades_tbl_cell_name_2 {
	text-align: left;
}

.grades_tbl_datasb {
	width: 250px !important;
}
.grades_tbl_datasb_cell_header {
	height: 81px;
}
.grades_datasb_holder {
	position: absolute;
	top: 0;
	left: 0;
	background: #fff;
	margin-top: 40px;
	margin-left: 24px;
}

.grades_tbl_data_cell_header {
	height: 81px;
}


.input_pass_c1 {
	padding-right: 40px !important;
}
.input_pass_c1_icon_sh {
	position: absolute;
	top: 0;
	right: 0;
	margin-top: 30px;
	margin-right: 20px;
	cursor: pointer;
}
.input_pass_c1_icon_sh, .input_pass_c1_icon_sh i, .input_pass_c1_icon_sh .bx {
	font-size: 1.4rem !important;
}

.class_grade_info_holder {
	position: absolute;
	bottom: 0;
	right: 0;
	margin-bottom: 10px;
	margin-right: 10px;
	padding: 10px !important;
	width: 40px !important;
	height: 40px !important;
	font-size: 0.7rem !important;
}

.class_room_grade_info_holder {
	position: absolute;
	bottom: 0;
	right: 0;
	margin-bottom: 10px;
	margin-right: 10px;
	padding: 10px !important;
	width: 40px !important;
	height: 40px !important;
	font-size: 0.7rem !important;
}

.class_ranking_grade_info_holder {
	display: inline-block;
	position: absolute;
	bottom: 0;
	right: 0;
	margin-bottom: 10px;
	margin-right: 10px;
	padding: 10px;
	width: 50px !important;
	height: 50px !important;
	font-size: 0.6rem !important;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
	padding-top: 20px;
}

.class_ranking_grade_info_content_1 {
	display: block;
}
.class_ranking_grade_info_content_2 {
	display: block;
	margin-top: 4px;
	font-size: 0.5rem;
}

.class_ranking_rank_no {
	padding: 10px;
	width: 50px !important;
	height: 50px !important;
	border-radius: 50% !important;
	font-size: 0.8rem;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
	background-color: silver;
	/*background-color: #F7EEDD;*/
	color: #f0f0f0;
	text-align: center;
	vertical-align: middle;
	padding-top: 16px;
}

.class_ranking_rank_no_default {
	background-color: silver;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}
.class_ranking_rank_no_1st {
	/*background-color: #FFC94A !important;*/
	/*background-color: #008DDA !important;*/
	background-color: #FFC94A !important;
	font-size: 1.4rem;
	font-weight: bold;
	padding-top: 8px;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}
.class_ranking_rank_no_2nd {
	/*background-color: #C08B5C !important;*/
	/*background-color: #41C9E2 !important;*/
	background-color: #C08B5C !important;
	font-size: 1.2rem;
	font-weight: bold;
	padding-top: 11px;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}
.class_ranking_rank_no_3rd {
	/*background-color: #795458 !important;*/
	/*background-color: #ACE2E1 !important;*/
	background-color: #795458 !important;
	font-size: 1rem;
	font-weight: bold;
	padding-top: 14px;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}


.word_wrap_break_word {
	word-wrap: break-word !important;
}

.overflow_hidden {
	overflow: hidden !important;
}

.white_space_nowrap {
	white-space: nowrap !important;
}

.w_100_p {
	width: 100%;
}


.tbl-status-success {
	background-color: #e3f8d7 !important;
	color: #22303e !important;
}

.tbl-status-warning {
	background-color: #ffeecc !important;
	color: #22303e !important;
}

.tbl-status-danger {
	background-color: #ffd8d2 !important;
	color: #22303e !important;
}

.tbl-status-info {
	background-color: #cdf3fb !important;
	color: #22303e !important;
}

.tbl-status-info {
	background-color: #e1e2ff !important;
	color: #22303e !important;
}

.sidebar-title-1 {
    font-size: 1.75rem;
    letter-spacing: -0.5px;
}

.mr-2 {
	margin-right: 0.5rem !important;
}
.ml-2 {
	margin-left: 0.5rem !important;
}
.mr-3 {
	margin-right: 1rem !important;
}
.ml-3 {
	margin-left: 1rem !important;
}

.inline-block {
	display: inline-block !important;
}

.file-preview-tbl-1 {

}
.file-preview-tbl-1, .file-preview-tbl-1 td, .file-preview-tbl-1 tr {
	padding: 0;
	margin: 0;
}
.file-preview-tbl-1 td {
	border: 1px solid #f0f0f0;
	width: 100px !important;
	min-width: 100px !important;
	padding: 0.5rem;
}

.file-preview-tbl-cell-1 {
	width: 100px !important;
	min-width: 100px !important;
	padding: 0.5rem;
	vertical-align: top;
}

.file-preview-cell-hl-1 {
	background-color: rgb(255 242 216);
}

.c-border-1 {
	border: 1px solid;
}

.c-info-title-1 {
	text-transform: uppercase;
	font-size: 0.8rem;
	font-weight: 600;
}

.pr-1 {
	padding-right: 0.5rem !important;
}
.pr-2 {
	padding-right: 1rem !important;
}
.pr-3 {
	padding-right: 1.5rem !important;
}
.pr-4 {
	padding-right: 2rem !important;
}
.pl-1 {
	padding-left: 0.5rem !important;
}
.pl-2 {
	padding-left: 1rem !important;
}
.pl-3 {
	padding-left: 1.5rem !important;
}
.pl-4 {
	padding-left: 2rem !important;
}


.fade-in {
	opacity: 1;
	animation-name: fadeInOpacity;
	animation-iteration-count: 1;
	animation-timing-function: ease-in;
	animation-duration: 0.5s;
}

@keyframes fadeInOpacity {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

.fade-out {
	opacity: 0;
	animation-name: fadeOutOpacity;
	animation-iteration-count: 1;
	animation-timing-function: ease-in;
	animation-duration: 0.5s;
}

@keyframes fadeOutOpacity {
	0% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}

.profile-photo-holder-1 {
	position: absolute;
	top: 0;
	left: 0;
	display: inline-block;
	background: none;
	margin-top: -60px;
	margin-left: 20px;
}
.profile-photo-inner-1 {
	border-radius: 50%;
	padding: 4px;
	background: #fff;
	border: 1px solid #f0f0f0;
}
.profile-photo-content-1 {
	border-radius: 50%;
	background: #fff;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	width: 100px;
	height: 100px;
}

/* THEME  */
.c-dark {
	background-color: #2b2c40;
}
.c-dark .bg-menu-theme {
	background-color: #2b2c40 !important;
}
.c-dark .bg-navbar-theme {
	background-color: #2b2c40 !important;
}
.c-dark .menu-item .menu-sub .menu-item .active {
	background-color: #2b2c40 !important;
}
/*.c-dark .menu-item .active {
	background-color: #2b2c40 !important;
	background-color: #fff !important;
}*/
.c-dark .bg-menu-theme .menu-item.active > .menu-link:not(.menu-toggle) {
	background-color: #202130 !important;
	background-color: #27283a !important;
}
.c-dark .bg-footer-theme {
	background-color: #2b2c40 !important;
	/*background-color: #27283a !important;*/
}
.c-dark .form-control {
	background-color: #27283a;
}
.c-dark .card .form-control {
	background-color: #232333;
}
.c-dark .card .input-group-text {
    background-color: #232333;
    border-width: 0px solid #232333;
}
.c-dark .input-group {
    border-color: #232333;
}
.c-dark .input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-color: #232333;
    border-width: 0px solid #232333 !important;
}
.c-dark .card .input-group-merge .form-control {
	border-color: #232333;
}
.c-dark .card {
	background-color: #27283a;
}
.c-dark .accordion-header {
	background-color: #27283a !important;
}
.c-dark .card, .c-dark .card.accordion-item, .c-dark .accordion-button {
	color: #697a8d !important;
	color: #fff !important;
	color: #8c9fb4 !important;
	color: #a4b7cc !important;
}
.c-dark .card.accordion-item {
	/*background-color: #27283a !important;*/
	background-color: #27283a !important;
	background-color: #2b2c40 !important;
}
.c-dark .accordion-button {
	/*background-color: #27283a !important;*/
	/*background-color: #27283a !important;*/
    border-radius: 0.375rem !important;
}
.c-dark .card.accordion-item {
    box-shadow: none;
}
.c-dark .accordion-button {
	/*background-color: #27283a !important;*/
	/*background-color: #27283a !important;
    border-bottom-right-radius: 0.375rem !important;
    border-bottom-left-radius: 0.375rem !important;
    border-radius: 0.375rem !important;*/
	background-color: #27283a !important;
	background-color: #2b2c40 !important;
}
.c-dark .accordion-item:first-of-type .accordion-button {
    /*border-top-left-radius: 0.375rem;
    border-top-right-radius: 0.375rem;
    border-radius: 0.375rem !important;
	background-color: #27283a !important;*/
}
.c-dark .accordion-item:last-of-type .accordion-button.collapsed {
    /*border-bottom-right-radius: 0.375rem;
    border-bottom-left-radius: 0.375rem;
    border-radius: 0.375rem !important;
	background-color: #27283a !important;*/
}
.c-dark .accordion-button > .collapsed {
	/*background-color: #27283a !important;*/
	/*background-color: #27283a !important;
    border-bottom-right-radius: 0.375rem !important;
    border-bottom-left-radius: 0.375rem !important;
    border-radius: 0.375rem !important;*/
}
.c-dark .bg-menu-theme .menu-inner-shadow {
    background: linear-gradient(#fff 41%, rgba(255, 255, 255, 0.11) 95%, rgba(255, 255, 255, 0));
    background: linear-gradient(#27283a 41%, rgba(39, 40, 58, 0.11) 95%, rgba(39, 40, 58, 0));
    height: 1.5rem;
}
.c-dark .dropdown-menu {
	background-color: #2b2c40;
    box-shadow: 0 0.25rem 1rem rgba(161, 172, 184, 0.2);
	/*background-color: #27283a !important;*/
}
.c-dark .dropdown-divider {
    border-top: 1px solid #27283a;
}
.c-dark .modal-content {
	background-color: #2b2c40;
}
.c-dark .form-control {
	border-color: #27283a;
}
.c-dark .modal-dialog, .c-dark .modal {
	/*background: rgba(39, 41, 58, 0.1) !important;*/
}
.c-dark .modal .btn-close {
	background-color: #2b2c40;
}
.c-dark thead, .c-dark tbody, .c-dark tfoot, .c-dark tr, .c-dark td, .c-dark th {
    border-color: #2b2c40;
}
.c-dark .table > :not(:first-child) {
    border-top: 2px solid #2b2c40;
}
.c-dark .preloader-wrapper {
    background-color: #27283a;
}
.c-dark .loading-screen-wrapper {
    background-color: #27283a;
}
.c-dark .card-shop {
    background-color: #232333;
}
.c-dark .toast.bs-toast {
    background-color: rgba(35, 35, 51, 0.85);
}
.c-dark .toast.bs-toast .toast-header .btn-close {
    background-color: #fff;
    background-color: rgba(35, 35, 51, 0.85);
}
.c-dark .bg-menu-theme .menu-text {
    color: #566a7f;
    color: #768da4;
    color: #c6cdd5;
}
.c-dark .bg-menu-theme .menu-header:before {
    background-color: #a1acb8 !important;
    background-color: #889099 !important;
    background-color: #6e747b !important;
    background-color: #4e5257 !important;
}
/* THEME  */

.setting_theme_holder {
	position: fixed;
	bottom: 0;
	right: 0;
}
.setting_theme_holder_body {
	position: fixed;
	bottom: 0;
	right: 0;
}

@media screen and (max-width: 480px) {
  .hide-on-mobile {
    display: none !important; /* Removes the element completely from the document flow */
  }
}